#
# spec file for package rubygem-savon
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-savon
Version:        2.12.0
Release:        lp150.1.4
%define mod_name savon
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 1.9.2}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
Url:            http://savonrb.com
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Heavy metal SOAP client
License:        MIT
Group:          Development/Languages/Ruby

%description
Heavy metal SOAP client.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md LICENSE README.md" \
  -f

%gem_packages

%changelog
* Tue Feb 27 2018 factory-auto@kulow.org
- updated to version 2.12.0
  see installed CHANGELOG.md
  [#] 2.12.0 (2018-01-16)
  * Drop support for ruby 2.1 and below.
  * Fix: [#822](https://github.com/savonrb/savon/pull/822) Raise correct error when SOAP envelope only contains a string
  * Fix: [#833](https://github.com/savonrb/savon/pull/833) Fixes boolean handling regression introduced in 2.11.2
  * Feature: [#794](https://github.com/savonrb/savon/pull/794), add global option ssl_ciphers.
  * Feature: [#753](https://github.com/savonrb/savon/pull/753) Add headers configuration to WSDLRequest#build
  * Feature: [#812](https://github.com/savonrb/savon/pull/812) Allow `proxy` option to be `nil`.
  * Feature: [#838](https://github.com/savonrb/savon/pull/838) Added ssl_ca_path and ssl_cert_store to globals
  * Feature: [#794](https://github.com/savonrb/savon/pull/794) Add global option ssl_ciphers
* Mon Aug 28 2017 coolo@suse.com
- updated to version 2.11.2
  see installed CHANGELOG.md
  [#] 2.11.2 (2017-08-03)
  * Fix: [#676](https://github.com/savonrb/savon/pull/676) Fixes handling of `content!` and `attributes!`
  * Fix: [#800](https://github.com/savonrb/savon/pull/800) Fix exception calling `SOAPFault#to_s` when http.body is empty
  * Fix: [#757](https://github.com/savonrb/savon/pull/757) Logging: Use filter without automatic pretty printing
  * Fix: [#771](https://github.com/savonrb/savon/pull/771) Restore support for cookies when using custom headers
  * Feature: [#744](https://github.com/savonrb/savon/pull/744) Add support for rpc encoded wsdl
  * Feature: [#742](https://github.com/savonrb/savon/pull/742) Add support for local request headers
  * Feature: [#704](https://github.com/savonrb/savon/pull/704) Add possibility to pass attribute delete_namespace_attributes to Nori
* Sat Jun  6 2015 coolo@suse.com
- updated to version 2.11.1
  see installed CHANGELOG.md
  [#] 2.11.1 (2015-05-27)
  * Replace dependency on [uuid](https://rubygems.org/gems/uuid), using SecureRandom.uuid instead.
* Thu Apr  2 2015 coolo@suse.com
- updated to version 2.11.0
* Fri Mar 13 2015 coolo@suse.com
- updated to version 2.10.1
* Wed Mar  4 2015 coolo@suse.com
- updated to version 2.10.0
* Mon Feb  9 2015 coolo@suse.com
- updated to version 2.9.0
  * Feature: [#655] Wasabi exceptions should be rethrown as Savon errors. This should make it easier to catch errors thrown by Savon::Client.
  * Feature: [#630] ServiceFaults are correctly identified as Soap Faults.
  [#] 2.8.0 (2014-11-12)
  * Feature : [#620](https://github.com/savonrb/savon/pull/620) add #build_request method that builds the actual XML request body, but does not submit it. Useful for debugging, possibly.
  * Fix : Loosened dependencies on Gyoku, Nori, Akami, and other Savon-dependency gems
  * Feature: [#636](https://github.com/savonrb/savon/pull/636) Set HTTPI.logger when Savon's logger is configured.
  * Feature: [#639](https://github.com/savonrb/savon/issues/639) Allow setting any SSL version that OpenSSL provides. See [the relevant HTTPI issue](https://github.com/savonrb/httpi/pull/136) for more information.
  [#] 2.7.2 (2014-09-23)
  Fix : Preserve false values (https://github.com/savonrb/savon/issues/321)
  [#] 2.7.1 (2014-09-23)
  * Fix : Fix a crash in builder when request headers do not contain WSA headers
  [#] 2.7.0 (2014-09-23)
  * Feature: Signing requests. Added wsse_signature.
  ```ruby
    client = Savon.client(wsdl: 'http://service.example.com?wsdl') do
    wsse_signature Akami::WSSE::Signature.new(Akami::WSSE::Certs.new(:cert_file => 'c.pem', :private_key_file => 'p.pem'))
    end
  ```
* Mon Oct 13 2014 coolo@suse.com
- adapt to new rubygem packaging
* Sun May 18 2014 coolo@suse.com
- updated to version 2.5.1
  * Feature: [#573](https://github.com/savonrb/savon/pull/573) Add an `all_operations` method to `Savon::Model` that automatically adds all available operations to the model.
  * Feature: [#566](https://github.com/savonrb/savon/pull/566) Allow specifying HTTPI adapter per client.
  ```ruby
    curb_client = Savon.client(wsdl: "http://example.com/service.wsdl", adapter: :curb)
    http_client = Savon.client(wsdl: "http://example.com/service.wsdl", adapter: :httpclient)
* Sun Apr  6 2014 coolo@suse.com
- updated to version 2.4.0
  * Logging is off by default. To enable this behavior, set the :log option to true
    ``` ruby
    client = Savon.client(wsdl: "http://example.com/service.wsdl")
    client.options[:log] = true
* Thu Feb  6 2014 coolo@suse.com
- updated to version 2.3.3, forgot changelog?
* Mon Dec  9 2013 coolo@suse.com
- updated to version 2.3.2
  * Fix: [#520](https://github.com/savonrb/savon/issues/520) Fixes a regression in message tags in requests and responses.
  * Removed dependency on Nokogiri <= 1.4 -- This improves support for ruby 1.9.3 and 2.0.0 and officially begins the end of support for ruby 1.8.7
  See [issue #487](https://github.com/savonrb/savon/issues/487)
* Wed Jul 31 2013 coolo@suse.com
- updated to version 2.3.0
  * Feature: [#405](https://github.com/savonrb/savon/issues/405) Improved NTLM support based on HTTPI v2.1.0.
  * Feature: [#424](https://github.com/savonrb/savon/issues/424) Adds support for multipart responses
    through the updated [savon-multipart](https://github.com/savonrb/savon-multipart) gem. You can now
    specify `multipart: true` either as a global or local option. Please make sure you have the
    updated `savon-multipart` gem installed and loaded, as it is not a direct dependency of Savon.
    ``` ruby
    require 'savon'
    require 'savon-multipart'
    [#] expect multipart responses for every operation
    client = Savon.client(wsdl: wsdl, multipart: true)
    [#] only expect a multipart response for this operation
    client.call(:my_operation, multipart: true)
    ```
  * Feature: [#470](https://github.com/savonrb/savon/issues/470) Added a local `:soap_header` option
    to allow setting the SOAP header per request.
  * Feature: [#402](https://github.com/savonrb/savon/issues/402) Makes it possible to create mocks
    that don't care about the message sent by using `:any` for the `:message` option.
    ``` ruby
    savon.expects(:authenticate).with(message: :any)
    ```
  * Fix: [#450](https://github.com/savonrb/savon/pull/450) Added `Savon::Response#soap_fault`
    and `Savon::Response#http_error` which were present in version 1.
  * Fix: [#474](https://github.com/savonrb/savon/issues/474) Changed `Savon::Response#header` and
    `Savon::Response#body` to respect the global `:convert_response_tags_to` and `:strip_namespaces`
    options and return the expected result instead of raising a `Savon::InvalidResponseError`.
  * Fix: [#461](https://github.com/savonrb/savon/issues/461) Fixed two problems related to namespace
    qualified messages and the element `:order!`.
  * Fix: [#476](https://github.com/savonrb/savon/issues/476) fixes a problem where the namespace
    for the message tag was not correctly determined from the WSDL.
  * Fix: [#468](https://github.com/savonrb/savon/issues/468) Changed the dependency on Nokogiri
    to < 1.6, because Nokogiri 1.6 dropped support for Ruby 1.8.
* Mon May 13 2013 coolo@suse.com
- updated to version 2.2.0
  * Feature: [#416](https://github.com/savonrb/savon/pull/416) The global `namespace_identifier`
  option can now be set to `nil` to not add a namespace identifier to the message tag.
  * Feature: [#408](https://github.com/savonrb/savon/pull/408) Added `Savon::Client#service_name`
  to return the name of the SOAP service.
  * Improvement: When mistyping an option name, Savon used to raise a simple `NoMethodError`.
  This is because regardless of whether you're using the Hash or block syntax to pass global
  or local options, both are just method calls on some options object.
    ```
    NoMethodError: undefined method 'wsdk' for #<Savon::GlobalOptions:0x007fed95a55228>
    ```
  As of this change, Savon now catches those errors and raise a `Savon::UnknownOptionError`
  with a slightly more helpful error message instead.
    ```
    Savon::UnknownOptionError:
    Unknown global option: :wsdk
    ```
  * Improvement: [#385](https://github.com/savonrb/savon/issues/385) Instead of raising an
  `ArgumentError` when Wasabi can't find any operations in the WSDL. Savon now raises a
  `Savon::UnknownOperationError`. This might happen when Wasabi fails to parse the WSDL
  because of imports for example.
  * Fix: [#430](https://github.com/savonrb/savon/pull/430) allows you to rescue and ignore
  `Savon::Error` errors in production while still having mocks trigger test failures.
  * Fix: [#393](https://github.com/savonrb/savon/pull/393) changed `Savon::SOAPFault` to work
  with generic response Hash keys.
  * Fix: [#423](https://github.com/savonrb/savon/issues/423) fixes a problem where Wasabi was
  not able to find extension base elements defined in imports it didn't follow.
* Tue Sep 18 2012 coolo@suse.com
- updated to version 1.2.0
  * Fix: [#312](https://github.com/rubiii/savon/pull/312) recursively determines the proper namespaces
  for SOAP body Hashes with nested Arrays of Hashes.
  * Improvement: [#318](https://github.com/rubiii/savon/pull/318) isolates building the request to
  improve threadsafety.
  * Refactoring: Use the `Wasabi::Document` with resolver instead of the custom `Savon::Wasabi::Document`.
* Fri Oct 28 2011 fcastelli@suse.com
- Update to 0.9.7
* Wed Aug 24 2011 fcastelli@novell.com
- fix building, require the right version of nokogiri
* Fri Jul 22 2011 fcastelli@novell.com
- fix building.
* Thu Jul 21 2011 fcastelli@novell.com
- Packaged 0.9.6
* Wed Nov 10 2010 jatan@novell.com
- Package version 0.7.9
